



screen storyBook(index):
    modal True


    $ story = allStories.values()[index]
    $ icon = story.getIcon()
    $ name = story.getName()
    $ hint = story.getHint()
    $ maxIndex = len(allStories) - 1


    add "story_book_background"


    add icon pos (90, 110)


    fixed:
        pos (540, 110)
        xmaximum 650
        ymaximum 100

        text "{size=36}{color=#000}[name]{/color}{/size}" xalign 0.5 yalign 0.5


    fixed:
        pos (545, 265)
        xmaximum 640
        ymaximum 340

        hbox:
            box_wrap True
            text "{color=#000}[hint]{/color}"


    if index != 0:
        imagebutton:
            focus_mask True
            auto "button_prev_%s"
            pos (540, 660)
            action Show("storyBook", None, index - 1)


    imagebutton:
        focus_mask True
        auto "button_exit_%s"
        pos (790, 660)
        action Hide("storyBook")


    if index < maxIndex:
        imagebutton:
            focus_mask True
            auto "button_next_%s"
            pos (1040, 660)
            action Show("storyBook", None, index + 1)


init python:

    class storyClass:
        
        def __init__(self, name="Unknown Story"):
            self.state = 0
            self.maxState = 0
            self.hints = []
            self.name = name
            self.icon = "queryStoryIcon"
            self.vars = {}
            self.counter = 10
            self.agenda = []
            
            renpy.say("Story Book", "New story started: "+name)
        
        def add_state(self, hint):
            self.hints.insert(self.maxState, hint)
            self.maxState = self.maxState + 1
        
        def nextState(self):
            self.state = self.state + 1
        
        def setIcon(self, storyIconName):
            self.icon = storyIconName
        
        def getIcon(self):
            return self.icon
        
        def getHint(self):
            if self.state >= self.maxState:
                return "You have reached the end of this story (in this version)"
            else:
                return self.hints[self.state]
        
        def getName(self):
            return self.name
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
